Subject: RE: HR timers on PowerPC 83xx

From: "Joakim Tjernlund" <[email-masked]>
Date: Fri, 25 Apr 2008 20:29:37 +0200

> -----Original Message-----
> From: Sergei Shtylyov [mailto:[email-masked]]
> Sent: den 25 april 2008 18:00
> To: [email-masked]
> Cc: 'linuxppc-dev Development'
> Subject: Re: HR timers on PowerPC 83xx
> 
> Joakim Tjernlund wrote:
> 
> >>>Trying to understand what is needed to make nanosleep() and friends to
> >>>have better resolution than HZ on my 83xx CPU. Is this possible
> >>>and what CONFIG options do I need to enable? Kernel is 2.6.25
> 
> >>    Should be possible with CONFIG_HIGH_RES_TIMERS=y.
> 
> > What about NO_HZ? Does that setting change anything?
> 
>     It is independent from HRT and selects the mode where the idle process
> stops timer HZ interrupts from occuring until it's scheduled off CPU.

OK, Thanks

One last question, do I need a current glibc to use
the new resolution? I got 2.3.6 now

     Jocke